Skip to main content
GET
/
v0
/
model-pricing
List model pricing
curl --request GET \
  --url https://api.avidoai.com/v0/model-pricing \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
import requests

url = "https://api.avidoai.com/v0/model-pricing"

headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};

fetch('https://api.avidoai.com/v0/model-pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orgId": "org_123456",
      "applicationId": "456e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z",
      "modelId": "gpt-4o-2024-08-06",
      "inputCostPer1kTokens": 0.0025,
      "outputCostPer1kTokens": 0.01,
      "currency": "USD"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 100,
    "totalPages": 4,
    "totalCount": 100
  }
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}
{
"message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
modelId,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

modelId
string

Filter by model ID

Example:

"gpt-4o-2024-08-06"

Response

Successfully retrieved model pricing entries

Paginated response containing model pricing entries

data
ModelPricing · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.